package imgui

// Defines a point in a top-left coordinate system
type Point struct {
	X, Y uint16 // might revisit type for bigger resolutions
}

type Layout interface {
	// Advances the layout and returns a starting point
	// for an element based on the last ending point.
	Next(last Point) Point
}

// Groups UI drawing routines
type Canvas interface {
	Layout
	// Draws a string
	Label(string)
	//Button()
	//TextArea()
}
